Bug 450483 - Review Request: libibmad - OpenFabrics Alliance InfiniBand MAD library
Review Request: libibmad - OpenFabrics Alliance InfiniBand MAD library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
low Severity low
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
http://people.redhat.com/dledford/Inf...
:
Depends On: 450482
Blocks: 450616
  Show dependency treegraph
 
Reported: 2008-06-08 21:11 EDT by Doug Ledford
Modified: 2012-09-30 23:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-03 15:59:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ed: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2008-06-08 21:11:21 EDT
+++ This bug was initially created as a clone of Bug #450482 +++

+++ This bug was initially created as a clone of Bug #450481 +++

+++ This bug was initially created as a clone of Bug #450470 +++

This package is a pre-cursor, helper package to opensm, the InfiniBand subnet
manager.  It relies upon the libibumad package this bug was cloned from.

src rpm can be found under

http://people.redhat.com/dledford/Infiniband/f10/SRPMS/

x86_64 rpms can be found under

http://people.redhat.com/dledford/Infiniband/f10/x86_64/
Comment 1 Ed Hill 2008-06-28 11:01:12 EDT
Hi Doug, here's a quick review:

GOOD:
+ source matches upstream SHA1SUM:
    1a2b36d0f309690ad660c9c1ff177f76c2484104  libibcommon-1.1.0.tar.gz
    1a2b36d0f309690ad660c9c1ff177f76c2484104  libibcommon-1.1.0.tar.gz.UP
+ license is correct and correctly included in the main package
+ specfile looks clean and macros sane
+ proper use of ldconfig
+ *.la files are removed
+ proper use of -devel and -static
+ has %clean
+ builds in mock F8 x86_64
+ rpmlint reports just two ignore-able warnings:
    libibcommon-devel.x86_64: W: no-documentation
    libibcommon-static.x86_64: W: no-documentation
+ dir ownership looks good
+ permissions look good

NEEDSWORK:
- according to the review guidelines, the spec must have:
    rm -rf %{buildroot}
  or the equivalent at the start of %install section.
- Is the ExclusiveArch really necessary?  Could it just be deleted?
  I'm only asking because the review guidelines now include specific
  rules concerning ExcludeArch and, if the ExclusiveArch is removed,
  then I think the package will be fine wrt those guidelines.  Maybe
  a comment such as "is known to work on arches ... but has not been
  tested on ..." would be enough?

Comment 2 Ed Hill 2008-06-28 12:02:19 EDT
Please ignore comment #1 above.

I'm trying to review the IB-related packages and I accidentally pasted 
the above comment into this bz entry.  My apologies!
Comment 3 Ed Hill 2008-06-28 14:06:41 EDT
Perhaps I can paste the correct review notes into the little Firefox text 
box this time.  Let's watch and see how it goes...


GOOD:
+ source matched upstream SHA1SUM:
    743b35ca9257cf8f5f3d022df6161acc31301994  libibmad-1.2.0.tar.gz
    743b35ca9257cf8f5f3d022df6161acc31301994  libibmad-1.2.0.tar.gz.UP
+ license is correct and correctly included
+ builds locally on F8 x86_64 w/ libibumad-devel installed
+ proper use of ldconfig
+ the *.la are deleted
+ permissions and dir ownership look good
+ rpmlint reports these two ignore-able warnings:
    libibmad-devel.x86_64: W: no-documentation
    libibmad-static.x86_64: W: no-documentation

NEEDSWORK:
- please remove the ExclusiveArch:
- please add "rm -rf %{buildroot}" or equivalent to the 
  beginning of %install


Yup, I think that was the one.  [*shakes head slowly and walks away*]
Comment 4 Doug Ledford 2008-06-28 22:15:45 EDT
Hehehe...%install fixed and exclusivearch removed ;-)
Comment 5 Ed Hill 2008-06-29 09:33:17 EDT
APPROVED.
Comment 6 Doug Ledford 2008-06-30 09:21:12 EDT
New Package CVS Request
=======================
Package Name: libibmad
Short Description: OpenFabrics Alliance InfiniBand MAD library
Owners: dledford
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-06-30 12:19:24 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.